Provide auto-citations based on ISBNs in Wikimedia production
Closed, ResolvedPublic8 Story Points

Description

Top-level task.

Related Objects

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2016, 9:24 PM
Trizek-WMF added subscribers: VIGNERON, Envlh.
Mvolz moved this task from Backlog to IO Tasks on the Citoid board.Sep 19 2016, 2:53 PM

Things left to do, AFAICT:

  • T145463: Credit the source of the ISBN data in Citoid Extension – is this just adding an if statement and a new i18n message?
  • Update citoid-citefromiddialog-search-label
  • Adjust enwiki templatedata/citoid maps to make sure the ISBN value gets back into the template
  • Confirm with OCLC that they're happy.
  • Announce in Tech/News and VPs.

Did I miss anything?

Elitre added a comment.Dec 7 2016, 4:10 PM

(Does #3 means that other wikis will have to copy that fix? If so, it needs to be communicated in the announcement.)

(Does #3 means that other wikis will have to copy that fix? If so, it needs to be communicated in the announcement.)

Yeah, we'll also need to update documentation.

Mvolz added a subscriber: Mvolz.Dec 7 2016, 4:16 PM

Pretty much all of the templates already have an ISBN field in the
templatedata. It's the OCLC number that they may not have.

Mvolz added a comment.Dec 7 2016, 7:20 PM

I will add the OCLC # in as I am already slogging through all of the TD
everywhere anyway :). Tracking in: T114515

Mvolz added a subtask: Restricted Task.Jan 19 2017, 12:50 PM
Envlh removed a subscriber: Envlh.Jan 19 2017, 1:56 PM
Ocaasi_WMF removed a subscriber: Ocaasi_WMF.
Ocaasi_WMF added a subscriber: Ocaasi_WMF.

Change 340360 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/Citoid] i18n: Tell users they can use ISBNs

https://gerrit.wikimedia.org/r/340360

Jdforrester-WMF closed subtask Restricted Task as Resolved.May 10 2017, 5:48 PM

Change 340360 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] i18n: Tell users they can use ISBNs

https://gerrit.wikimedia.org/r/340360

Change 353176 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Citoid@wmf/1.30.0-wmf.1] i18n: Tell users they can use ISBNs

https://gerrit.wikimedia.org/r/353176

Change 353177 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Citoid@wmf/1.29.0-wmf.21] i18n: Tell users they can use ISBNs

https://gerrit.wikimedia.org/r/353177

Jdforrester-WMF assigned this task to Mvolz.

i18n going out in this afternoon's SWAT.

Change 353177 merged by jenkins-bot:
[mediawiki/extensions/Citoid@wmf/1.29.0-wmf.21] i18n: Tell users they can use ISBNs

https://gerrit.wikimedia.org/r/353177

Change 353176 merged by jenkins-bot:
[mediawiki/extensions/Citoid@wmf/1.30.0-wmf.1] i18n: Tell users they can use ISBNs

https://gerrit.wikimedia.org/r/353176

Jdforrester-WMF closed this task as Resolved.May 12 2017, 12:03 AM
Jdforrester-WMF removed a project: Patch-For-Review.

Yay.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 12 2017, 12:03 AM
RandomDSdevel rescinded a token.
RandomDSdevel awarded a token.
PKM added a subscriber: PKM.EditedMay 25 2017, 8:52 PM

I am consistently seeing an error in ISBN lookup for items published by museums. The museum is being imported as the author, broken into Last and first (last=Art, first= Metropolitan Museum of).

Examples from May 24 and May 25:

ISBN 978-3925801228 (correct author is Anna A Ierusalimskaja . I got last=(Russia)|first=Gosudarstvennyĭ Ėrmitazh|last2=Nationalmuseum.|first2=Bayerisches. Correct info at https://www.amazon.de/Gr%C3%A4ber-Moscevaja-Balka-Fr%C3%BChmittelalterliche-nordkaukasischen/dp/3925801227)

ISBN 9780888540461 (correct author is Dorothy K. Burnham. I got last=Museum, first=Royal Ontario. Info here: https://books.google.com/books?id=-DPdPAAACAAJ

now a bug T166445